Bug 28978 - Convert installer CSS to SCSS
Summary: Convert installer CSS to SCSS
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Installation and upgrade (web-based installer) (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 28376
Blocks: 28982
  Show dependency treegraph
 
Reported: 2021-09-08 23:27 UTC by Owen Leonard
Modified: 2021-10-22 14:57 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
21.11.00


Attachments
Bug 28978: Convert installer CSS to SCSS (6.76 KB, patch)
2021-09-08 23:43 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 28978: Convert installer CSS to SCSS (6.82 KB, patch)
2021-09-30 13:01 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 28978: Convert installer CSS to SCSS (6.94 KB, patch)
2021-10-02 20:38 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2021-09-08 23:27:10 UTC
Adding Flatpickr to the onboarding templates will be much simpler if the installer CSS file is generated from SCSS.
Comment 1 Owen Leonard 2021-09-08 23:43:39 UTC
Created attachment 124665 [details] [review]
Bug 28978: Convert installer CSS to SCSS

This patch creates a new SCSS file, installer.scss, from which
installer.css will be compiled.

Most of the resulting CSS is unchanged, but some minor sections were
removed because they were obsolete. The jQueryUI-specific section isn't
fully converted to SCSS because it's going to go away with the addition
of Flatpickr.

To test, apply the patch and rebuild the staff client SCSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).

- Confirm that koha-tmpl/intranet-tmpl/prog/css/installer.css is
  updated.
- Go through the complete web installation process, including
  onboarding, to confirm that everything is styled as before.
Comment 2 Martin Renvoize 2021-09-30 13:01:07 UTC
Created attachment 125502 [details] [review]
Bug 28978: Convert installer CSS to SCSS

This patch creates a new SCSS file, installer.scss, from which
installer.css will be compiled.

Most of the resulting CSS is unchanged, but some minor sections were
removed because they were obsolete. The jQueryUI-specific section isn't
fully converted to SCSS because it's going to go away with the addition
of Flatpickr.

To test, apply the patch and rebuild the staff client SCSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).

- Confirm that koha-tmpl/intranet-tmpl/prog/css/installer.css is
  updated.
- Go through the complete web installation process, including
  onboarding, to confirm that everything is styled as before.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 3 Martin Renvoize 2021-09-30 13:01:45 UTC
All looking good to me.. Signing off
Comment 4 Katrin Fischer 2021-10-02 20:38:19 UTC
Created attachment 125657 [details] [review]
Bug 28978: Convert installer CSS to SCSS

This patch creates a new SCSS file, installer.scss, from which
installer.css will be compiled.

Most of the resulting CSS is unchanged, but some minor sections were
removed because they were obsolete. The jQueryUI-specific section isn't
fully converted to SCSS because it's going to go away with the addition
of Flatpickr.

To test, apply the patch and rebuild the staff client SCSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).

- Confirm that koha-tmpl/intranet-tmpl/prog/css/installer.css is
  updated.
- Go through the complete web installation process, including
  onboarding, to confirm that everything is styled as before.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

https://bugs.koha-community.org/show_bug.cgi?id=28982
Comment 5 Jonathan Druart 2021-10-12 09:18:44 UTC
Pushed to master for 21.11, thanks to everybody involved!